StringUtility

com.rscja.utility

## Class StringUtility

- java.lang.Object
- - com.rscja.utility.StringUtility

-     public class StringUtility
      extends java.lang.Object

  字符工具类
  Author:
    liuruifeng

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEBUG`
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtility()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte` | `BitToByte(java.lang.String byteStr)` Bit转Byte
    `static java.lang.String` | `byte2Bit(byte b)` Byte转Bit
    `static java.lang.String` | `byte2HexString(byte b)` byte转十六进制字符
    `static long` | `byteArrayTolong(byte[] byteArray)` 将8字节的byte数组转成一个long值
    `static java.lang.String` | `bytes2HexString(byte[] b)`
    `static java.lang.String` | `bytes2HexString(byte[] b, int size)` byte类型数组转十六进制字符串
    `static java.lang.String` | `bytes2HexString2(byte[] b, int size)`
    `static char[]` | `bytesTochars(byte[] c, int size)`
    `static java.lang.String` | `bytesToHexString(byte[] b, int size)`
    `static int` | `bytesToInt(byte[] bytes)` byte数组转成int值
    `static java.lang.String` | `char2HexString(char c)` char转十六进制
    `static long` | `charArrayTolong(char[] array)` 将8字节的Char数组转成一个long值
    `static java.lang.String` | `chars2HexString(char[] c, int size)` char类型数组转十六进制字符串
    `static long` | `chars2Long(char[] c, int start, int len)` char数组转long
    `static byte[]` | `charsTobytes(char[] c, int size)`
    `static byte[]` | `getBytes(char[] chars)` char类型数组转byte类型数组
    `static char[]` | `getChars(byte[] bytes)` byte类型数组转char类型数组
    `static byte[]` | `hexString2Bytes(java.lang.String s)` 十六进制字符串转byte数组
    `static char[]` | `hexString2Chars(java.lang.String s)` 十六进制字符串转换成char数组
    `static byte[]` | `hexStringToBytes(java.lang.String hexString)` 十六进制字符串转byte数组
    `static byte[]` | `int2Bytes(int num)` int转byte数组
    `static byte[]` | `Int2bytes(int value)`
    `static java.lang.String` | `int2HexString(int n)`
    `static java.lang.String` | `ints2HexString(int[] c, int size)`
    `static boolean` | `isDecimal(java.lang.String decimal)` 判断字符串是否是十进制数字
    `static boolean` | `isEmpty(java.lang.CharSequence cs)` 判断字符串是否为空
    `static boolean` | `isHexNumber(java.lang.String str)` Deprecated.
    `static boolean` | `isHexNumberRex(java.lang.String str)` 判断字符串是否是十六进制数字，使用正则表达式方式
    `static boolean` | `isNum(java.lang.String str)` 判断是否为数字
    `static boolean` | `isOctNumber(java.lang.String str)` 判断字符串是否是十进制数字
    `static boolean` | `isOctNumberRex(java.lang.String str)` 判断字符串是否是十进制数字，使用正则表达式方式
    `static byte[]` | `long2Bytes(long num)` long转byte数组
    `static java.math.BigInteger` | `readUnsignedInt64(byte[] readBuffer)` 读取无符号位的长整数，64位
    `static byte[]` | `reverse(byte[] b)` 逆转字节数组
    `static void` | `setDebug(boolean debug)`
    `static int` | `string2Int(java.lang.String str, int defValue)` 字符串转整数

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static boolean DEBUG

    - #### TAG

          public static java.lang.String TAG

  - ### Constructor Detail

    - #### StringUtility

          public StringUtility()

  - ### Method Detail

    - #### byte2Bit

          public static java.lang.String byte2Bit(byte b)

      Byte转Bit
      Parameters:
        `b` -
      Returns:

    - #### BitToByte

          public static byte BitToByte(java.lang.String byteStr)

      Bit转Byte

    - #### bytes2HexString

          public static java.lang.String bytes2HexString(byte[] b,
                                                         int size)

      byte类型数组转十六进制字符串
      Parameters:
        `b` - byte类型数组
        `size` - 数组长度
      Returns:
        十六进制字符串

    - #### bytes2HexString2

          public static java.lang.String bytes2HexString2(byte[] b,
                                                          int size)

    - #### bytes2HexString

          public static java.lang.String bytes2HexString(byte[] b)

    - #### bytesToHexString

          public static java.lang.String bytesToHexString(byte[] b,
                                                          int size)

    - #### charsTobytes

          public static byte[] charsTobytes(char[] c,
                                            int size)

    - #### bytesTochars

          public static char[] bytesTochars(byte[] c,
                                            int size)

    - #### byte2HexString

          public static java.lang.String byte2HexString(byte b)

      byte转十六进制字符
      Parameters:
        `b` - byte值
      Returns:
        十六进制字符

    - #### chars2HexString

          public static java.lang.String chars2HexString(char[] c,
                                                         int size)

      char类型数组转十六进制字符串
      Parameters:
        `c` - char类型数组
        `size` - 数组大小
      Returns:
        十六进制字符串

    - #### long2Bytes

          public static byte[] long2Bytes(long num)

      long转byte数组
      Parameters:
        `num` -
      Returns:

    - #### int2Bytes

          public static byte[] int2Bytes(int num)

      int转byte数组
      Parameters:
        `num` -
      Returns:

    - #### byteArrayTolong

          public static long byteArrayTolong(byte[] byteArray)

      将8字节的byte数组转成一个long值
      Parameters:
        `byteArray` -
      Returns:
        转换后的long型数值

    - #### bytesToInt

          public static int bytesToInt(byte[] bytes)

      byte数组转成int值
      Parameters:
        `bytes` -
      Returns:

    - #### Int2bytes

          public static byte[] Int2bytes(int value)

    - #### charArrayTolong

          public static long charArrayTolong(char[] array)

      将8字节的Char数组转成一个long值
      Parameters:
        `array` -
      Returns:
        转换后的long型数值

    - #### reverse

          public static byte[] reverse(byte[] b)

      逆转字节数组
      Parameters:
        `b` -
      Returns:

    - #### readUnsignedInt64

          public static final java.math.BigInteger readUnsignedInt64(byte[] readBuffer)
                                                              throws java.io.IOException

      读取无符号位的长整数，64位
      Parameters:
        `readBuffer` -
      Returns:
      Throws:
        `java.io.IOException`

    - #### chars2Long

          public static long chars2Long(char[] c,
                                        int start,
                                        int len)

      char数组转long
      Parameters:
        `c` -
        `start` -
        `len` -
      Returns:

    - #### char2HexString

          public static java.lang.String char2HexString(char c)

      char转十六进制
      Parameters:
        `c` - char值
      Returns:
        十六进制字符

    - #### isOctNumber

          public static boolean isOctNumber(java.lang.String str)

      判断字符串是否是十进制数字
      Parameters:
        `str` - 要判断的字符串
      Returns:
        true是，false否

    - #### isHexNumber

          @Deprecated
          public static boolean isHexNumber(java.lang.String str)

      Deprecated.
      判断字符串是否是十六进制数字
      Parameters:
        `str` - 要判断的字符串
      Returns:
        true是，false否

    - #### isOctNumberRex

          public static boolean isOctNumberRex(java.lang.String str)

      判断字符串是否是十进制数字，使用正则表达式方式
      Parameters:
        `str` - 要判断的字符串
      Returns:
        true是，false否

    - #### isHexNumberRex

          public static boolean isHexNumberRex(java.lang.String str)

      判断字符串是否是十六进制数字，使用正则表达式方式
      Parameters:
        `str` - 要判断的字符串
      Returns:
        true是，false否

    - #### hexString2Chars

          public static char[] hexString2Chars(java.lang.String s)

      十六进制字符串转换成char数组
      Parameters:
        `s` - 十六进制字符串
      Returns:
        char数组

    - #### getBytes

          public static byte[] getBytes(char[] chars)

      char类型数组转byte类型数组
      Parameters:
        `chars` - char类型数组
      Returns:
        byte类型数组

    - #### getChars

          public static char[] getChars(byte[] bytes)

      byte类型数组转char类型数组
      Parameters:
        `bytes` - byte类型数组
      Returns:
        char类型数组

    - #### isDecimal

          public static boolean isDecimal(java.lang.String decimal)

      判断字符串是否是十进制数字
      Parameters:
        `decimal` - 要判断的字符串
      Returns:
        true是，false否

    - #### hexString2Bytes

          public static byte[] hexString2Bytes(java.lang.String s)

      十六进制字符串转byte数组
      Parameters:
        `s` - 十六进制字符串
      Returns:
        byte数组

    - #### hexStringToBytes

          public static byte[] hexStringToBytes(java.lang.String hexString)

      十六进制字符串转byte数组
      Parameters:
        `hexString` - 十六进制字符串
      Returns:
        byte数组

    - #### isEmpty

          public static boolean isEmpty(java.lang.CharSequence cs)

      判断字符串是否为空
      Parameters:
        `cs` - 字符串
      Returns:
        true为空，false不为空

    - #### isNum

          public static boolean isNum(java.lang.String str)

      判断是否为数字
      Parameters:
        `str` -
      Returns:

    - #### int2HexString

          public static java.lang.String int2HexString(int n)

    - #### ints2HexString

          public static java.lang.String ints2HexString(int[] c,
                                                        int size)

    - #### string2Int

          public static int string2Int(java.lang.String str,
                                       int defValue)

      字符串转整数
      Parameters:
        `str` -
        `defValue` -
      Returns:

    - #### setDebug

          public static void setDebug(boolean debug)